class_name PartySingleton extends Node

static var PARTY_JOHN = PartyMember.new({
  'name': "John",
  'team': BattleFighter.FighterTeam.ALLY,
  "maxHealth": 9999999999,
  "movePrimary": BattleMove.MOVE_PUNCH,
  "movesMagical": [ BattleMove.MOVE_FIRE1 ],
})

static var BACKPACK = Inventory.new()

static func getFullParty() -> Array[PartyMember]:
  return [
    PARTY_JOHN
  ]
